import request from '@/utils/request';

/**
 * 首页 - 使用记录
 */
export const courseSchedulePage = (params: any) => {
  return request.post('/edu-app/courseSchedule/page', {
    data: params
  });
};

/**
 * 首页 - 年级班级列表
 */
export const classGroupList = (params?: any) => {
  return request.post('/edu-app/classGroup/list', {
    data: params
  });
};

/**
 * 首页 - 修改密码
 */
export const updatePassword = (params: any) => {
  return request.post('/edu-app/user/updatePassword', {
    data: params,
    requestType: 'form'
  });
};

/**
 * 首页 - 获取学年
 */
export const getGradeYearList = (params?: any) => {
  return request.get('/edu-app/classGroup/getGradeYearList', {
    params
  });
};

/**
 * 首页 - 获取学级
 */
export const getGradeLevelList = (params?: any) => {
  return request.get('/edu-app/classGroup/getGradeLevelList', {
    params
  });
};
